imagesavealpha
imagesetbrush
GD and Image Functions
PHP Manual

# imagescale

Scale an image using the given new width and height

### Description

resource imagescale ( resource `$image` , int `$new_width` [, int `$new_height` = -1 [, int `$mode` = IMG_BILINEAR_FIXED ]] )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`new_width`

`new_height`

`mode`

  One of `IMG_NEAREST_NEIGHBOUR`, `IMG_BILINEAR_FIXED`, `IMG_BICUBIC`, `IMG_BICUBIC_FIXED` or anything else (will use two pass).

### Return Values

Return scaled image resource on success or `FALSE` on failure.